Bug 741136 - at-spi2-atk.x86_64 2.1.92-2.fc16 makes Firefox and Thunderbird useless because of crashes
Summary: at-spi2-atk.x86_64 2.1.92-2.fc16 makes Firefox and Thunderbird useless becaus...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: at-spi2-atk
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 21:44 UTC by Matěj Cepl
Modified: 2018-04-11 08:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-31 01:27:40 UTC


Attachments (Terms of Use)
backtrace (37.24 KB, text/plain)
2011-09-25 21:44 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2011-09-25 21:44:42 UTC
Created attachment 524805 [details]
backtrace

Description of problem:
With upgrade of at-spi2-atk to 2.1.92-2.fc16 firefox and thunderbird started crashing so often as they were mostly useless (they couldn't stay up for more than couple of minutes).

I saw this on the console:

error: An exception occurred.
Traceback (most recent call last):
  File "resource://browserid_addon-at-mozillalabs-dot-com-api-utils-lib/tabs/tab.js", line 254, in null
    .getInterface(Ci.nsIWebNavigation)
 objektu tYídy UnnamedClassredhat.com> bylo odepYeno vytvoYit obalova
process 2461: arguments to dbus_connection_get_is_connected() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 2965.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace

and coredump contained the attached backtrace

Downgrade to at-spi2-atk-2.1.91-1.fc16.x86_64 makes firefox working again (e.g., I was able to file this bug, which I wasn't before)

Version-Release number of selected component (if applicable):
at-spi2-atk-2.1.92-2.fc16.x86_64
xulrunner-6.0.2-1.fc16.x86_64
firefox-6.0.2-1.fc16.x86_64
thunderbird-6.0.2-1.fc16.x86_64
dbus-1.4.10-3.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start firefox
2. go to https://bugzilla.redhat.com/show_bug.cgi?id=681924 and change component of the bug
3.
  
Actual results:
I was never able to finish the task (after Submit firefox went down)

Expected results:
no crash

Additional info:

Comment 1 Fedora End Of Life 2013-04-03 16:08:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Matthias Clasen 2013-05-31 01:27:40 UTC
This was reported against a much older version of at-spi2-atk.
If you still see the problem with the current at-spi2-atk 2.8, please reopen


Note You need to log in before you can comment on or make changes to this bug.